LogHarbour: logging - Task #18073

Go lib: change types of Debuginfo data structure
01/03/2024 07:00 PM - Shuvam Misra

Status: Closed Start date:

Priority: Normal Due date: 29/03/2024
Assignee: Sachin Divekar % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 12 Apr

Description

The Debuglnfo data structure currently is

type DebugInfo struct {

Pid int “Jjson:"pid"®
Runtime string "Json:"runtime"®
FileName string "Jjson:"file"®
LineNumber int “json:"line"®
FunctionName string “Jjson:"func"®
StackTrace string "json:"stackTrace""
Data map[string]any " json:"data""

The Data needs to become map(string]string

Associated revisions

Revision ccc1bb19 - 07/04/2024 09:14 PM - Sachin Divekar
Refactor Debuglnfo writing to convert data field (type any) to string refs #18073

Like previous commit this is required to store the values to elasticsearch as string.

History

#1 - 26/03/2024 07:33 PM - Shuvam Misra
- Target version changed from Sprint 29 Mar to Sprint 12 Apr

#2 - 07/04/2024 12:55 PM - Sachin Divekar

- Status changed from New to In Progress

#3 - 07/04/2024 09:17 PM - Sachin Divekar
- % Done changed from 0 to 100

- Status changed from In Progress to Testing

Updated Debuglnfo writing function to convert the value of data field to string before writing the log. Like Change log it also uses convertToString()
from utils.go.

#4 - 09/04/2024 01:50 PM - Sachin Divekar

- Status changed from Testing to Closed
